<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/templates/generalError.xhtml">

    <ui:define name="title">.::Sistema Nacional Catastral::. .:: Error ::.</ui:define>
    <ui:define name="content">
        <center>
            <h:panelGrid width="80%">
                <h:panelGrid>
                    <center><h3 style="font-size:x-large;">Ocurrió un error en el sistema</h3></center>
                    <center><img src="/snc/images/errorSistema.png"/></center>

                    <p:spacer height="10"/>

                    <h3 style="font-size:medium;">Por favor, incluya el siguiente detalle de error en el GLPI</h3>

                    <p:fieldset legend="Detalle del error">
                        <h:panelGrid columns="2">
                            <h:outputLabel value="Request URI: " styleClass="outputLabelStyle" />
                            <h:outputText value="#{errorHandler.requestURI}" styleClass="outputTextStyle"/>

                            <h:outputLabel value="Date: " styleClass="outputLabelStyle" />
                            <h:outputText value="#{currentDate}" styleClass="outputTextStyle">
                                <f:convertDateTime pattern="#{general.formatoFechaHora}" type="date" />
                            </h:outputText>

                            <h:outputLabel value="Error Code: " styleClass="outputLabelStyle" />
                            <h:outputText value="#{errorHandler.statusCode}" styleClass="outputTextStyle"/>

                            <h:outputLabel value="Error Description: " styleClass="outputLabelStyle" />
                            <h:outputText value=" #{errorHandler.message}" styleClass="outputTextStyle"/>

                            <h:outputLabel value="Exception Type: " styleClass="outputLabelStyle" />
                            <h:outputText value="#{errorHandler.exceptionType}" styleClass="outputTextStyle" />

                            <h:outputLabel value="Exception Class: " styleClass="outputLabelStyle" />
                            <h:outputText value="#{errorHandler.exception}" styleClass="outputTextStyle"/>
                        </h:panelGrid>
                    </p:fieldset>
                </h:panelGrid> 
            </h:panelGrid>
        </center>
    </ui:define>
</ui:composition>